%define upstream_name    Game-Life
%define upstream_version 0.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Plays Conway's Game of Life
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Game/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Clone)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
Conway's Game of Life is a basic example of finding 'living' patterns in
rather basic rulesets (see *NOTES*). The Game of Life takes place on a 2-D
rectangular grid, with each grid point being either alive or dead. If a
living grid point has 2 or 3 neighbors within the surrounding 8 points, the
point will remain alive in the next generation; any fewer or more will kill
it. A dead grid point will become alive if there are exactly 3 living
neighbors to it. With these simple rules, fascinating structures such as
gliders that move across the grid, glider guns that generate these gliders,
XOR gates, and others have been found.

This module simply provides a way to simulate the Game of Life in Perl.

In terms of coordinate systems as used in 'place_points', 'toggle_point'
and other functions, the first coordinate is the vertical direction, 0 being
the top of the board, and the second is the horizontal direction, 0 being
the left side of the board. Thus, toggling the point of (3,2) will switch
the state of the point in the 4th row and 3rd column.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.60.0-10.mga9
+ Revision: 1803763
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.60.0-9.mga8
+ Revision: 1494615
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.60.0-8.mga7
+ Revision: 1268187
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.60.0-7.mga6
+ Revision: 1027647
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.60.0-6.mga6
+ Revision: 948410
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 0.60.0-5.mga5
+ Revision: 787844
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.60.0-4.mga5
+ Revision: 741704
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.60.0-3.mga5
+ Revision: 684828
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.60.0-2.mga4
+ Revision: 525206
- Mageia 4 Mass Rebuild

* Wed May 29 2013 shlomif <shlomif> 0.60.0-1.mga4
+ Revision: 432490
- update to 0.06

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-2.mga3
+ Revision: 367621
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 26 2011 kharec <kharec> 0.40.0-1.mga2
+ Revision: 172386
- imported package perl-Game-Life


* Sat Nov 26 2011 cpan2dist 0.04-1mga
- initial mageia release, generated with cpan2dist
